Page MenuHomePhabricator

Article::doEdit() and WikiPage::doEdit() are deprecated
Closed, ResolvedPublic

Description

Once all subtasks are resolved, we should enable deprecation warnings for this function.

Details

Related Gerrit Patches:
mediawiki/extensions/SemanticComments : masterFix remaining usage of doEdit in SemanticComments
mediawiki/extensions/WikiLexicalData : masterReplace WikiPage::doEdit()
mediawiki/extensions/SubPageList : masterRemove WikiPage::doEdit() call
mediawiki/extensions/ReplaceText : masterRemove old Article::doEdit() call
mediawiki/extensions/EtherEditor : masterReplace WikiPage::doEdit()
mediawiki/extensions/ConfirmAccount : masterReplace WikiPage::doEdit()
mediawiki/core : masterEmit deprecation warnings for Article::doEdit and WikiPage::doEdit
mediawiki/extensions/BlueSpiceFoundation : masterOne more doEdit() -> doEditContent()
mediawiki/extensions/SocialProfile : masterReplace Article::doEdit()
mediawiki/extensions/LiquidThreads : masterReplace Article::doEdit()
mediawiki/extensions/BlueSpiceFoundation : masterReplace Article::doEdit()
mediawiki/extensions/BlueSpiceExtensions : masterReplace Article::doEdit()
mediawiki/core : masterAdd deprecated comment to Article::doEdit()

Event Timeline

Change 312085 had a related patch set uploaded (by Reedy):
Replace WikiPage::doEdit()

https://gerrit.wikimedia.org/r/312085

Change 312088 had a related patch set uploaded (by Reedy):
Replace WikiPage::doEdit()

https://gerrit.wikimedia.org/r/312088

Change 312090 had a related patch set uploaded (by Reedy):
Remove WikiPage::doEdit() call

https://gerrit.wikimedia.org/r/312090

Change 312092 had a related patch set uploaded (by Reedy):
Replace WikiPage::doEdit()

https://gerrit.wikimedia.org/r/312092

Reedy added a subscriber: Reedy.Sep 21 2016, 7:57 PM

That's commits for all WikiPage::doEdit(), bar one guarded call in SMW

Change 312095 had a related patch set uploaded (by Reedy):
Replace Article::doEdit()

https://gerrit.wikimedia.org/r/312095

Change 312098 had a related patch set uploaded (by Reedy):
Add deprecated comment to Article::doEdit()

https://gerrit.wikimedia.org/r/312098

Change 312099 had a related patch set uploaded (by Reedy):
Replace Article::doEdit()

https://gerrit.wikimedia.org/r/312099

Change 312103 had a related patch set uploaded (by Reedy):
Replace Article::doEdit()

https://gerrit.wikimedia.org/r/312103

Change 312106 had a related patch set uploaded (by Reedy):
Replace Article::doEdit()

https://gerrit.wikimedia.org/r/312106

Change 312111 had a related patch set uploaded (by Reedy):
Remove old Article::doEdit() call

https://gerrit.wikimedia.org/r/312111

Change 312098 merged by jenkins-bot:
Add deprecated comment to Article::doEdit()

https://gerrit.wikimedia.org/r/312098

Change 312106 merged by jenkins-bot:
Replace Article::doEdit()

https://gerrit.wikimedia.org/r/312106

Change 312103 merged by jenkins-bot:
Replace Article::doEdit()

https://gerrit.wikimedia.org/r/312103

Nemo_bis triaged this task as Medium priority.Sep 22 2016, 1:49 PM

Change 312095 merged by jenkins-bot:
Replace Article::doEdit()

https://gerrit.wikimedia.org/r/312095

Change 313021 had a related patch set uploaded (by Enigmaeth):
Emit deprecation warnings for Article::doEdit and WikiPage::doEdit

https://gerrit.wikimedia.org/r/313021

Change 313248 had a related patch set uploaded (by Reedy):
One more doEdit() -> doEditContent()

https://gerrit.wikimedia.org/r/313248

Change 312099 merged by jenkins-bot:
Replace Article::doEdit()

https://gerrit.wikimedia.org/r/312099

Change 313248 merged by jenkins-bot:
One more doEdit() -> doEditContent()

https://gerrit.wikimedia.org/r/313248

Change 313021 merged by jenkins-bot:
Emit deprecation warnings for Article::doEdit and WikiPage::doEdit

https://gerrit.wikimedia.org/r/313021

enigmaeth closed this task as Resolved.Sep 29 2016, 9:47 AM
enigmaeth claimed this task.

Change 312085 merged by jenkins-bot:
Replace WikiPage::doEdit()

https://gerrit.wikimedia.org/r/312085

Change 312088 merged by jenkins-bot:
Replace WikiPage::doEdit()

https://gerrit.wikimedia.org/r/312088

Change 312111 merged by jenkins-bot:
Remove old Article::doEdit() call

https://gerrit.wikimedia.org/r/312111

Change 312090 merged by Reedy:
Remove WikiPage::doEdit() call

https://gerrit.wikimedia.org/r/312090

Change 312092 merged by Reedy:
Replace WikiPage::doEdit()

https://gerrit.wikimedia.org/r/312092

Change 332881 had a related patch set uploaded (by Reedy):
Fix remaining usage of doEdit in SemanticComments

https://gerrit.wikimedia.org/r/332881

Change 332881 merged by jenkins-bot:
Fix remaining usage of doEdit in SemanticComments

https://gerrit.wikimedia.org/r/332881